## ros-melodic-audio-to-spectrogram 1.2.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(audio_to_spectrogram)

find_package(catkin)
catkin_package()

install(DIRECTORY launch sample scripts test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  add_rostest(test/audio_to_spectrogram.test)
  roslaunch_add_file_check(launch/audio_to_spectrogram.launch)
endif()

=== debian/changelog ===
ros-melodic-audio-to-spectrogram (1.2.15-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.14-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.13-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.12-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.11-1stretch) stretch; urgency=high

  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * upgrade package.xml to format=3, migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
    
  * [audio_to_spectrogram] Enable multi channel input by retrieving single channel data (#2514 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2514>)
  * [audio_to_spectrogram] Add README for usage and scripts interface (#2498 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2498>)
    
      * [audio_to_spectrogram] Add README for usage and scripts interface
      * [audio_to_spectrogram] add args to audio_to_spectrogram.launch
      * [audio_to_spectrogram] Add arg to run audio_capture
    
  * Convert audio data to spectrogram (#2478 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2478>)
    
      * Make audio_to_spectrogram as ROS package
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 01 Oct 2020 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.10-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Wed, 27 Mar 2019 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.9-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 23 Feb 2019 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.8-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 22 Feb 2019 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.7-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.6-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.5-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.4-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.3-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.2-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.2.1-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Jul 2017 20:44:00 -0000

ros-melodic-audio-to-spectrogram (1.2.0-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Jul 2017 09:14:00 -0000

ros-melodic-audio-to-spectrogram (1.1.3-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.1.2-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jun 2017 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.1.1-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 04 Mar 2017 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.1.0-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Feb 2017 22:50:00 -0000

ros-melodic-audio-to-spectrogram (1.0.4-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Feb 2017 22:48:00 -0000

ros-melodic-audio-to-spectrogram (1.0.3-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Wed, 08 Feb 2017 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.0.2-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Jan 2017 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.0.1-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-melodic-audio-to-spectrogram (1.0.0-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Mon, 12 Dec 2016 00:00:00 -0000

ros-melodic-audio-to-spectrogram (0.3.29-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sun, 30 Oct 2016 00:00:00 -0000

ros-melodic-audio-to-spectrogram (0.3.28-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 29 Oct 2016 16:34:00 -0000

ros-melodic-audio-to-spectrogram (0.3.27-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 29 Oct 2016 00:14:00 -0000

ros-melodic-audio-to-spectrogram (0.3.26-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 27 Oct 2016 00:00:00 -0000

ros-melodic-audio-to-spectrogram (0.3.25-1stretch) stretch; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Sep 2016 00:00:00 -0000



=== debian/control ===
Source: ros-melodic-audio-to-spectrogram
Section: misc
Priority: optional
Maintainer: Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch, ros-melodic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-audio-to-spectrogram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-matplotlib, ros-melodic-audio-capture, ros-melodic-audio-common-msgs, ros-melodic-cv-bridge, ros-melodic-image-view, ros-melodic-jsk-recognition-msgs, ros-melodic-sensor-msgs
Description: Convert audio (audio_common_msgs/AudioData) to spectrogram (sensor_msgs/Image)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-audio-to-spectrogram//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
